com.impinj.stp

## Class StpApi.MonzaS6CFeatureConfig.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.MonzaS6CFeatureConfig.Builder>
      - - com.impinj.stp.StpApi.MonzaS6CFeatureConfig.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.MonzaS6CFeatureConfigOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.MonzaS6CFeatureConfig

      public static final class StpApi.MonzaS6CFeatureConfig.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.MonzaS6CFeatureConfig.Builder>
      implements StpApi.MonzaS6CFeatureConfigOrBuilder

  Protobuf type `Impinj.STP.MonzaS6CFeatureConfig` Tag specific feature configuration for Monza S6C tags. Both features must be specified. For further details, see: https://support.impinj.com/hc/en- us/articles/205744047-Monza-S6-C-Product-Datasheet

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.MonzaS6CFeatureConfig` | `build()`
    `StpApi.MonzaS6CFeatureConfig` | `buildPartial()`
    `StpApi.MonzaS6CFeatureConfig.Builder` | `clear()`
    `StpApi.MonzaS6CFeatureConfig.Builder` | `clearEnableAutoTune()` Enable Auto-tune
    `StpApi.MonzaS6CFeatureConfig.Builder` | `clearEnableShortRangeMode()` Enable Short-Range mode
    `StpApi.MonzaS6CFeatureConfig.Builder` | `clone()`
    `StpApi.MonzaS6CFeatureConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `boolean` | `getEnableAutoTune()` Enable Auto-tune
    `boolean` | `getEnableShortRangeMode()` Enable Short-Range mode
    `boolean` | `hasEnableAutoTune()` Enable Auto-tune
    `boolean` | `hasEnableShortRangeMode()` Enable Short-Range mode
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.MonzaS6CFeatureConfig.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.MonzaS6CFeatureConfig.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.MonzaS6CFeatureConfig.Builder` | `mergeFrom(StpApi.MonzaS6CFeatureConfig other)`
    `StpApi.MonzaS6CFeatureConfig.Builder` | `setEnableAutoTune(boolean value)` Enable Auto-tune
    `StpApi.MonzaS6CFeatureConfig.Builder` | `setEnableShortRangeMode(boolean value)` Enable Short-Range mode

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.MonzaS6CFeatureConfig.Builder>`

    - #### clear

          public StpApi.MonzaS6CFeatureConfig.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.MonzaS6CFeatureConfig.Builder>`

    - #### clone

          public StpApi.MonzaS6CFeatureConfig.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.MonzaS6CFeatureConfig.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.MonzaS6CFeatureConfig.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.MonzaS6CFeatureConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.MonzaS6CFeatureConfig build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.MonzaS6CFeatureConfig buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.MonzaS6CFeatureConfig.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.MonzaS6CFeatureConfig.Builder>`

    - #### mergeFrom

          public StpApi.MonzaS6CFeatureConfig.Builder mergeFrom(StpApi.MonzaS6CFeatureConfig other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.MonzaS6CFeatureConfig.Builder>`

    - #### mergeFrom

          public StpApi.MonzaS6CFeatureConfig.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.MonzaS6CFeatureConfig.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasEnableAutoTune

          public boolean hasEnableAutoTune()

      Enable Auto-tune
      Specified by:
        `hasEnableAutoTune` in interface `StpApi.MonzaS6CFeatureConfigOrBuilder`

    - #### getEnableAutoTune

          public boolean getEnableAutoTune()

      Enable Auto-tune
      Specified by:
        `getEnableAutoTune` in interface `StpApi.MonzaS6CFeatureConfigOrBuilder`

    - #### setEnableAutoTune

          public StpApi.MonzaS6CFeatureConfig.Builder setEnableAutoTune(boolean value)

      Enable Auto-tune

    - #### clearEnableAutoTune

          public StpApi.MonzaS6CFeatureConfig.Builder clearEnableAutoTune()

      Enable Auto-tune

    - #### hasEnableShortRangeMode

          public boolean hasEnableShortRangeMode()

      Enable Short-Range mode
      Specified by:
        `hasEnableShortRangeMode` in interface `StpApi.MonzaS6CFeatureConfigOrBuilder`

    - #### getEnableShortRangeMode

          public boolean getEnableShortRangeMode()

      Enable Short-Range mode
      Specified by:
        `getEnableShortRangeMode` in interface `StpApi.MonzaS6CFeatureConfigOrBuilder`

    - #### setEnableShortRangeMode

          public StpApi.MonzaS6CFeatureConfig.Builder setEnableShortRangeMode(boolean value)

      Enable Short-Range mode

    - #### clearEnableShortRangeMode

          public StpApi.MonzaS6CFeatureConfig.Builder clearEnableShortRangeMode()

      Enable Short-Range mode